// sky
textures/pohan3dm1/sky_000_m
{
	skyparms - 512 -	

	q3map_lightimage textures/pohan3dm1/clouds_000_m.tga
	q3map_sunExt .5 0 .5 100 60 80 3 32
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 250 6

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	qer_editorimage textures/pohan3dm1/clouds_000_m.tga

	{
		map textures/pohan3dm1/clouds_000_m.tga
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/pohan3dm1/clouds_000_m.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -0.01 -0.01
		tcMod scale 5 5
	}
}

// jumppad
textures/pohan3dm1/bouncepad01_000_g
{
	qer_editorimage textures/pohan3dm1/bouncepad01_000_g.tga
	q3map_lightimage textures/pohan3dm1/jumppadsmall_g.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/pohan3dm1/bouncepad01_000_g.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}	
	{
		map textures/pohan3dm1/bouncepad01g_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/pohan3dm1/jumppadsmall_g.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

// base
textures/pohan3dm1/000_fx
{
	surfaceparm metalsteps
	qer_editorimage textures/pohan3dm1/000_env.tga
	{
		map textures/pohan3dm1/000.tga
		rgbGen identity
	}
	{	
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pohan3dm1/000_env.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}	
}

textures/pohan3dm1/001_fx
{
	surfaceparm metalsteps
	qer_editorimage textures/pohan3dm1/001_env.tga
	{
		map textures/pohan3dm1/001.tga
		rgbGen identity
	}
	{	
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pohan3dm1/001_env.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}	
}

textures/pohan3dm1/002_fx
{
	surfaceparm metalsteps
	qer_editorimage textures/pohan3dm1/002_env.tga
	{
		map textures/pohan3dm1/002.tga
		rgbGen identity
	}
	{	
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pohan3dm1/002_env.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}	
}

// beams
textures/pohan3dm1/beam_001_g
	{
        qer_editorimage textures/pohan3dm1/beam_001_g.tga
	q3map_lightimage textures/pohan3dm1/beam_001_g.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	q3map_surfacelight 100
	cull none
        nomipmaps
	{
		map textures/pohan3dm1/beam_001_g.tga
		tcMod Scroll .3 0
                blendFunc add
        }
}

// glass

textures/pohan3dm1/glass_000
{
	qer_editorimage textures/pohan3dm1/glass_000.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull none
        {
		map textures/pohan3dm1/glass_000.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}           
}
// slime

textures/pohan3dm1/slime_000_g
	{
		qer_editorimage textures/liquids/slime7.tga
		q3map_lightimage textures/liquids/slime7.tga
		surfaceparm noimpact
		surfaceparm slime
		q3map_surfacelight 100
		cull disable

		{
			map textures/liquids/slime7c.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/liquids/slime7.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}

		{
			map textures/liquids/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}
}
// fogs
textures/pohan3dm1/fog_000_g
{
	qer_editorimage textures/pohan3dm1/fog_000_g.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm nodrop
	q3map_surfacelight 100
	fogparms ( 0 .8 .8 ) 999
}